Update a List of Option Localizations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations

Path parameters

  • profile_id string Required

    id of the profile

  • optionlist_id number Required

    id of the optionlist

  • option_id number Required

    id of the option

Query parameters

  • fields string

    extra information of each option localization on the list

  • limit number

    maximum count of the option localization list

  • offset number

    skip that many option localization before beginning to return

application/json

Body

  • label string
  • language_code string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • language_code string Required

      the updated language code

PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/optionlists/{optionlist_id}/options/{option_id}/localizations' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"label":"fallar","language_code":"es"}'
Request examples
{
  "label": "fallar",
  "language_code": "es"
}
Response examples (200)
[
  {
    "language_code": "zh-hans"
  },
  {
    "language_code": "zh-hant"
  }
]